Bug 168820 - File conflicts between 32bit and 64bit packages
File conflicts between 32bit and 64bit packages
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: sane-backends (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Nils Philippsen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-20 11:02 EDT by Phil Knirsch
Modified: 2015-03-04 20:15 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-15 10:23:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Phil Knirsch 2005-09-20 11:02:34 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8b3) Gecko/20050818 Fedora/1.1-0.2.7.deerpark.alpha2.1 Firefox/1.0+

Description of problem:
File conflicts exists between the installed 32bit and 64bit packages:

Error: sane-backends-1.0.16-1.i386 file conflicts with:
Error:  '/usr/share/doc/sane-backends-1.0.16/sane.ps' <=> sane-backends-1.0.16-1.x86_64
Error:  '/usr/share/doc/sane-backends-1.0.16/sane.dvi' <=> sane-backends-1.0.16-1.x86_64
Error:  '/usr/share/doc/sane-backends-1.0.16/sane-backends.html' <=> sane-backends-1.0.16-1.x86_64
Error:  '/usr/share/doc/sane-backends-1.0.16/sane-mfgs.html' <=> sane-backends-1.0.16-1.x86_64
Error:  '/usr/share/doc/sane-backends-1.0.16/sane-mfgs-external.html' <=> sane-backends-1.0.16-1.x86_64
Error:  '/usr/share/doc/sane-backends-1.0.16/sane-backends-external.html' <=> sane-backends-1.0.16-1.x86_64


Version-Release number of selected component (if applicable):
sane-backends-1.0.16-1

How reproducible:
Always

Steps to Reproduce:
1. Use a file conflict enabled rpm to install both 32bit and 64bit versions of this package
2.
3.
  

Actual Results:  See listed file conflicts in description

Expected Results:  No file conflicts

Additional info:
Comment 1 Nils Philippsen 2005-09-21 03:46:46 EDT
It seems we're running into problems with generated documentation... I can't
think of another reasoni right now why these files would conflict (as RPM allows
files with the same content belonging to different packages, at least it did the
last time I looked at it).

I don't think we can leave out docs in either the 32bit or 64bit version of the
package, putting them in $arch/ subdirectories is needless (they should contain
the same content at least as the reader is concerned) and a bit of overkill. The
only idea I have would be to split them out into a separate docs package but
that would be a gross workaround. Any other ideas? IMO in the long run, RPM
should not conflict on documentation and silently install the higher arch
version (x86_64) over the lower arch one.
Comment 2 Phil Knirsch 2006-09-15 06:20:14 EDT
Good point about conflicting documentation. And right of my head i don't have
any good idea either how to fix it now.

Read ya, Phil
Comment 3 Nils Philippsen 2006-09-15 10:10:14 EDT
FC5 Update has a docs package now, FC6 has a separate libs package which
includes these generated docs.

Note You need to log in before you can comment on or make changes to this bug.